#ifndef _ConfigCheckBox_h__
#define _ConfigCheckBox_h__

#include <QCheckBox>

class ConfigCheckBox : public QCheckBox {
    Q_OBJECT

  public:
    ConfigCheckBox(QString caption, QString config_key, bool checkedByDefault = false);

  signals:
    void changed(bool checked);

  private slots:
    void updateSettings(int state);

  private:
    QString configKey;
};

#endif
